RASQL(1)

NAME
rasql - read argus(8) data from mysql database.

SYNOPSIS
rasql [-M sql='where clause'] -r mysql://user@host/db/table [raoptions]

DESCRIPTION

Rasql reads argus data from an argus-client generated mysql database. The principal function of rasql is to extract the 'record' binary blob that is inserted by rasqlinsert.1 when adding argus data to a mysql table.

RASQL SPECIFIC OPTIONS
Rasql, like all ra based clients, supports a number of ra options including filtering of input argus records through a terminating filter expression. rasql(1) specific options are:

-M sql='where clause'
    This appends the 'where clause' to the SELECT mysql database command. providing a means to use SQL select and join strategies when performing queries.

INVOCATION
This invocation reads argus(8) data from the table table that is contained in the db database, using the user database account, and instructs MySQL to select records where the database attribute 'saddr' equals to the string '2.3.4.5'.

   rasql -r mysql://user@localhost/db/table -M sql="saddr='2.3.4.5'"

COPYRIGHT
Copyright (c) 2000-2012 QoSient. All rights reserved.

SEE ALSO
ra(1), rasqlinsert(1), rarc(5), argus(8),

AUTHORS
Carter Bullard (carter@qosient.com).